from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, Int, File, String

Gcloud_Compute_Connect_To_Serial_Port_V0_1_0 = CommandToolBuilder(tool="gcloud_compute_connect_to_serial_port", base_command=["gcloud", "compute", "connect-to-serial-port"], inputs=[ToolInput(tag="in_dry_run", input_type=Boolean(optional=True), prefix="--dry-run", doc=InputDocumentation(doc="If provided, the ssh command is printed to standard out rather than\nbeing executed.")), ToolInput(tag="in_extra_args", input_type=Int(optional=True), prefix="--extra-args", doc=InputDocumentation(doc="=VALUE,[KEY=VALUE,...]\nOptional arguments can be passed to the serial port connection by\npassing key-value pairs to this flag, such as max-connections=N or\nreplay-lines=N. See\nhttps://cloud.google.com/compute/docs/instances/interacting-with-serial-console\nfor additional options.")), ToolInput(tag="in_force_key_file_overwrite", input_type=Boolean(optional=True), prefix="--force-key-file-overwrite", doc=InputDocumentation(doc="If enabled gcloud will regenerate and overwrite the files associated\nwith a broken SSH key without asking for confirmation in both\ninteractive and non-interactive environment.\nIf disabled gcloud will not attempt to regenerate the files associated\nwith a broken SSH key and fail in both interactive and non-interactive\nenvironment.")), ToolInput(tag="in_port", input_type=Int(optional=True), prefix="--port", doc=InputDocumentation(doc="; default='1'\nThe number of the requested serial port. Can be 1-4, default is 1.\nInstances can support up to four serial ports. By default, this command\nwill connect to the first serial port. Setting this flag will connect\nto the requested serial port.")), ToolInput(tag="in_ssh_key_file", input_type=File(optional=True), prefix="--ssh-key-file", doc=InputDocumentation(doc="The path to the SSH key file. By default, this is\n~/.ssh/google_compute_engine.")), ToolInput(tag="in_zone", input_type=String(optional=True), prefix="--zone", doc=InputDocumentation(doc="The zone of the instance to connect to. If not specified, you may be\nprompted to select a zone.\nTo avoid prompting when this flag is omitted, you can set the\ncompute/zone property:\n$ gcloud config set compute/zone ZONE\nA list of zones can be fetched by running:\n$ gcloud compute zones list\nTo unset the property, run:\n$ gcloud config unset compute/zone\nAlternatively, the zone can be stored in the environment variable\nCLOUDSDK_COMPUTE_ZONE.")), ToolInput(tag="in_instance", input_type=String(), position=0, doc=InputDocumentation(doc="SYNOPSIS"))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Gcloud_Compute_Connect_To_Serial_Port_V0_1_0().translate("wdl", allow_empty_container=True)

